Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

Update and cleanup the gemspec under the assumption we're all on ruby…

… gems >= 1.3.6
  • Loading branch information...
commit 7296a6578adf1a3dedea7d2a9776a8dbaa4de698 1 parent b8e8223
@bryckbost bryckbost authored
Showing with 15 additions and 142 deletions.
  1. +2 −21 Rakefile
  2. +13 −121 acts_as_audited.gemspec
View
23 Rakefile
@@ -1,6 +1,8 @@
require 'rake'
require 'rspec/core/rake_task'
require 'rake/testtask'
+require 'bundler'
+Bundler::GemHelper.install_tasks
$:.unshift File.expand_path('../lib', __FILE__)
@@ -9,30 +11,11 @@ require 'acts_as_audited'
desc 'Default: run specs and tests'
task :default => [:spec, :test]
-begin
- require 'jeweler'
- Jeweler::Tasks.new do |gem|
- gem.name = "acts_as_audited"
- gem.summary = %Q{ActiveRecord extension that logs all changes to your models in an audits table}
- gem.email = "brandon@opensoul.org"
- gem.homepage = "http://github.com/collectiveidea/acts_as_audited"
- gem.authors = ["Brandon Keepers", "Kenneth Kalmer"]
- gem.rdoc_options << '--main' << 'README.rdoc' << '--line-numbers' << '--inline-source'
- gem.version = ActsAsAudited::VERSION
- # gem is a Gem::Specification... see http://www.rubygems.org/read/chapter/20 for additional settings
- end
- # Jeweler::GemcutterTasks.new
-rescue LoadError
- puts "Jeweler (or a dependency) not available. Install it with: bundle install"
-end
-
RSpec::Core::RakeTask.new do |t|
t.rspec_opts = ["-c", "-f progress", "-r ./spec/spec_helper.rb"]
t.pattern = 'spec/*_spec.rb'
end
-task :spec => :check_dependencies
-
RSpec::Core::RakeTask.new(:rcov) do |t|
t.rcov = true
t.rcov_opts = %q[--exclude "spec"]
@@ -46,8 +29,6 @@ Rake::TestTask.new(:test) do |t|
t.verbose = true
end
-task :test => :check_dependencies
-
begin
require 'yard'
YARD::Rake::YardocTask.new
View
134 acts_as_audited.gemspec
@@ -1,126 +1,18 @@
-# Generated by jeweler
-# DO NOT EDIT THIS FILE DIRECTLY
-# Instead, edit Jeweler::Tasks in Rakefile, and run 'rake gemspec'
# -*- encoding: utf-8 -*-
-Gem::Specification.new do |s|
- s.name = %q{acts_as_audited}
- s.version = "2.0.0.rc7"
+Gem::Specification.new do |gem|
+ gem.add_runtime_dependency(%q<rails>, [">= 3.0.3"])
- s.required_rubygems_version = Gem::Requirement.new("> 1.3.1") if s.respond_to? :required_rubygems_version=
- s.authors = ["Brandon Keepers", "Kenneth Kalmer"]
- s.date = %q{2011-02-18}
- s.email = %q{brandon@opensoul.org}
- s.extra_rdoc_files = [
- "LICENSE",
- "README.rdoc"
- ]
- s.files = [
- ".yardopts",
- "CHANGELOG",
- "Gemfile",
- "Gemfile.lock",
- "LICENSE",
- "README.rdoc",
- "Rakefile",
- "acts_as_audited.gemspec",
- "autotest/discover.rb",
- "lib/acts_as_audited.rb",
- "lib/acts_as_audited/audit.rb",
- "lib/acts_as_audited/audit_sweeper.rb",
- "lib/acts_as_audited/auditor.rb",
- "lib/generators/acts_as_audited/install_generator.rb",
- "lib/generators/acts_as_audited/templates/add_association_to_audits.rb",
- "lib/generators/acts_as_audited/templates/add_comment_to_audits.rb",
- "lib/generators/acts_as_audited/templates/add_remote_address_to_audits.rb",
- "lib/generators/acts_as_audited/templates/install.rb",
- "lib/generators/acts_as_audited/templates/rename_changes_to_audited_changes.rb",
- "lib/generators/acts_as_audited/templates/rename_parent_to_association.rb",
- "lib/generators/acts_as_audited/upgrade_generator.rb",
- "spec/acts_as_audited_spec.rb",
- "spec/audit_spec.rb",
- "spec/audit_sweeper_spec.rb",
- "spec/audited_spec_helpers.rb",
- "spec/db/schema.rb",
- "spec/rails_app/config/application.rb",
- "spec/rails_app/config/boot.rb",
- "spec/rails_app/config/database.yml",
- "spec/rails_app/config/environment.rb",
- "spec/rails_app/config/environments/development.rb",
- "spec/rails_app/config/environments/production.rb",
- "spec/rails_app/config/environments/test.rb",
- "spec/rails_app/config/initializers/backtrace_silencers.rb",
- "spec/rails_app/config/initializers/inflections.rb",
- "spec/rails_app/config/initializers/secret_token.rb",
- "spec/rails_app/config/routes.rb",
- "spec/spec_helper.rb",
- "spec/spec_models.rb",
- "test/db/version_1.rb",
- "test/db/version_2.rb",
- "test/db/version_3.rb",
- "test/db/version_4.rb",
- "test/install_generator_test.rb",
- "test/test_helper.rb",
- "test/upgrade_generator_test.rb"
- ]
- s.homepage = %q{http://github.com/collectiveidea/acts_as_audited}
- s.rdoc_options = ["--main", "README.rdoc", "--line-numbers", "--inline-source"]
- s.require_paths = ["lib"]
- s.rubygems_version = %q{1.3.7}
- s.summary = %q{ActiveRecord extension that logs all changes to your models in an audits table}
- s.test_files = [
- "spec/acts_as_audited_spec.rb",
- "spec/audit_spec.rb",
- "spec/audit_sweeper_spec.rb",
- "spec/audited_spec_helpers.rb",
- "spec/db/schema.rb",
- "spec/rails_app/config/application.rb",
- "spec/rails_app/config/boot.rb",
- "spec/rails_app/config/environment.rb",
- "spec/rails_app/config/environments/development.rb",
- "spec/rails_app/config/environments/production.rb",
- "spec/rails_app/config/environments/test.rb",
- "spec/rails_app/config/initializers/backtrace_silencers.rb",
- "spec/rails_app/config/initializers/inflections.rb",
- "spec/rails_app/config/initializers/secret_token.rb",
- "spec/rails_app/config/routes.rb",
- "spec/spec_helper.rb",
- "spec/spec_models.rb",
- "test/db/version_1.rb",
- "test/db/version_2.rb",
- "test/db/version_3.rb",
- "test/db/version_4.rb",
- "test/install_generator_test.rb",
- "test/test_helper.rb",
- "test/upgrade_generator_test.rb"
- ]
-
- if s.respond_to? :specification_version then
- current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
- s.specification_version = 3
-
- if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
- s.add_runtime_dependency(%q<rails>, [">= 3.0.3"])
- s.add_development_dependency(%q<sqlite3-ruby>, [">= 0"])
- s.add_development_dependency(%q<rspec-rails>, ["~> 2.4.0"])
- s.add_development_dependency(%q<rcov>, [">= 0"])
- s.add_development_dependency(%q<yard>, [">= 0"])
- s.add_development_dependency(%q<jeweler>, [">= 0"])
- else
- s.add_dependency(%q<rails>, [">= 3.0.3"])
- s.add_dependency(%q<sqlite3-ruby>, [">= 0"])
- s.add_dependency(%q<rspec-rails>, ["~> 2.4.0"])
- s.add_dependency(%q<rcov>, [">= 0"])
- s.add_dependency(%q<yard>, [">= 0"])
- s.add_dependency(%q<jeweler>, [">= 0"])
- end
- else
- s.add_dependency(%q<rails>, [">= 3.0.3"])
- s.add_dependency(%q<sqlite3-ruby>, [">= 0"])
- s.add_dependency(%q<rspec-rails>, ["~> 2.4.0"])
- s.add_dependency(%q<rcov>, [">= 0"])
- s.add_dependency(%q<yard>, [">= 0"])
- s.add_dependency(%q<jeweler>, [">= 0"])
- end
+ gem.authors = ["Brandon Keepers", "Kenneth Kalmer"]
+ gem.email = 'brandon@opensoul.org'
+ gem.required_rubygems_version = Gem::Requirement.new('>= 1.3.6')
+ gem.files = `git ls-files`.split("\n")
+ gem.homepage = %q{http://github.com/collectiveidea/acts_as_audited}
+ gem.rdoc_options = ["--main", "README.rdoc", "--line-numbers", "--inline-source"]
+ gem.require_paths = ["lib"]
+ gem.name = 'acts_as_audited'
+ gem.summary = %q{ActiveRecord extension that logs all changes to your models in an audits table}
+ gem.test_files = `git ls-files -- spec/* test/*`.split("\n")
+ gem.version = "2.0.0.rc7"
end
Please sign in to comment.
Something went wrong with that request. Please try again.